#!/bin/bash
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

umount /srv/live-build/chroot/live-build/config 2>/dev/null

cd /srv/live-build
lb clean
lb build

if ! [ -f /srv/live-build/binary/live/filesystem.squashfs ]; then
	echo 'build failed' >&2
	exit -1
fi

cp /srv/live-build/tftpboot/live/{vmlinuz,initrd.img} /srv/share/tftp/distr/liveos/mephi-edu/8/amd64/

rm -f /srv/share/nfs/mephi-edu/live/filesystem.squashfs-backup
mv /srv/share/nfs/mephi-edu/live/filesystem.squashfs /srv/share/nfs/mephi-edu/live/filesystem.squashfs-backup
mv /srv/live-build/binary/live/filesystem.squashfs /srv/share/nfs/mephi-edu/live/filesystem.squashfs

rm -f /srv/share/nfs/mephi-edu/live/filesystem.squashfs-noroot-backup
mv /srv/share/nfs/mephi-edu/live/filesystem.squashfs-noroot /srv/share/nfs/mephi-edu/live/filesystem.squashfs-noroot-backup
mv /srv/share/nfs/mephi-edu/live/filesystem.squashfs-noroot-new /srv/share/nfs/mephi-edu/live/filesystem.squashfs-noroot
rm -f /srv/share/nfs/mephi-edu-noroot/live/{filesystem.squashfs,config.conf}
ln /srv/share/nfs/mephi-edu/live/filesystem.squashfs-noroot /srv/share/nfs/mephi-edu-noroot/live/filesystem.squashfs
ln /srv/share/nfs/mephi-edu/live/config.conf /srv/share/nfs/mephi-edu-noroot/live/config.conf

